class CommentModel {
  List<Data>? data;
  Mess? mess;

  CommentModel({this.data, this.mess});

  CommentModel.fromJson(Map<String, dynamic> json) {
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
    mess = json['mess'] != null ? new Mess.fromJson(json['mess']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    if (this.mess != null) {
      data['mess'] = this.mess!.toJson();
    }
    return data;
  }
}

class Data {
  String? courseCommentId;
  Null? schoolId;
  String? courseId;
  String? content;
  String? createUser;
  String? createDate;
  String? createUserFullName;
  String? createUserAvatar;
  String? courseName;
  String? courseType;
  String? courseKeyword;
  String? courseImage;

  Data(
      {this.courseCommentId,
        this.schoolId,
        this.courseId,
        this.content,
        this.createUser,
        this.createDate,
        this.createUserFullName,
        this.createUserAvatar,
        this.courseName,
        this.courseType,
        this.courseKeyword,
        this.courseImage});

  Data.fromJson(Map<String, dynamic> json) {
    courseCommentId = json['courseCommentId'];
    schoolId = json['schoolId'];
    courseId = json['courseId'];
    content = json['content'];
    createUser = json['createUser'];
    createDate = json['createDate'];
    createUserFullName = json['createUserFullName'];
    createUserAvatar = json['createUserAvatar'];
    courseName = json['courseName'];
    courseType = json['courseType'];
    courseKeyword = json['courseKeyword'];
    courseImage = json['courseImage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['courseCommentId'] = this.courseCommentId;
    data['schoolId'] = this.schoolId;
    data['courseId'] = this.courseId;
    data['content'] = this.content;
    data['createUser'] = this.createUser;
    data['createDate'] = this.createDate;
    data['createUserFullName'] = this.createUserFullName;
    data['createUserAvatar'] = this.createUserAvatar;
    data['courseName'] = this.courseName;
    data['courseType'] = this.courseType;
    data['courseKeyword'] = this.courseKeyword;
    data['courseImage'] = this.courseImage;
    return data;
  }
}

class Mess {
  int? code;
  String? description;

  Mess({this.code, this.description});

  Mess.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    description = json['description'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    data['description'] = this.description;
    return data;
  }
}
